commit:     26037c24e379ea2f34bb98ecb70ed5d3d09e6bf4
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri May 14 15:08:24 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri May 28 19:23:52 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26037c24

app-admin/graylog: bump to 3.3.13

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-admin/graylog/Manifest              |  1 +
 app-admin/graylog/graylog-3.3.13.ebuild | 83 +++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/app-admin/graylog/Manifest b/app-admin/graylog/Manifest
index 48bf4a46428..e306e3972a0 100644
--- a/app-admin/graylog/Manifest
+++ b/app-admin/graylog/Manifest
@@ -1,4 +1,5 @@
 DIST graylog-3.3.10.tgz 129330433 BLAKE2B 
6633a0c4ba9efa6bdece55cc9c3036a45bb78e10e6e80f29656fd5924176ee881b7f1dfb761ea7af9cac0c1cdace87335747c9fcb23bb49b51ebb400139118cf
 SHA512 
0280f3e4f38542487e2c9a10b0aa0ea2db711a249f9e0ad241d136ee1df5aada13a4da543ac40ceb7c715273903d83a6d62ceddde5feb9ede99c95cc8325f5f2
 DIST graylog-3.3.11.tgz 129320028 BLAKE2B 
c90641ba1f5abaaeeba452dc623e6b6dd65ff5b3e53f111e72ebbbde1a96a9b7e82d6874d055c0fcec2e48842368fcd45510d4d4ebcfdd70a7bbcb967b5b1501
 SHA512 
2bcb84060254b3cd11aafd54f90debe9148cccdaec50cda53a50d302e7a152fb2622e9dd555420d25fa3ed6a8b8da5105ef322a152c3fcdabc9dec9c47338c6d
+DIST graylog-3.3.13.tgz 129316329 BLAKE2B 
ea90edfbffaeba5a022a012ddd87b83d9d5cbd9a2d348c78dd44c22cd95fe5f2f5d5eccc067066b2fd52e0ea944827c02f89233396ee70ef4a440c52e2a8da0c
 SHA512 
7360408db9abbba472f44a01898edb55d9a07306b03dc9ee1b1ac84df2835dd5afccc5c29fbc07137da3cce2f1c59dd26974ad6f6a2ee6e69e1679916227e115
 DIST graylog-4.0.2.tgz 163286730 BLAKE2B 
102b410b89e776c43ce97442407e0e7a418b0e9c9ac82747e4e049b83e8c88a865861e365ecc57fcd45dd4dc7bd763ba9f8657038526523c3f341be73daf647a
 SHA512 
535451f84bc28e9716d34138637b732a4ebe879970051f720997d93828846a2ac707a58a14f14e10fa0aa4e3aeed5694ac0339275ef2623d5ac01712067158ca
 DIST graylog-4.0.5.tgz 163294449 BLAKE2B 
3b3c7e74bdfbc37bb4a416733b70d153b399b66cf97215a476aa3304dead0143a60253514c804e6cbeb5b4e2935e79a9e8ff16b88d2067c8820dcc5aaf7331aa
 SHA512 
d9df101560fa0dcf63043c1dd41342caea58d77d24e81da0912270b6b627c1ec1c30900902a8456bcd3dd1281d4d57b499defc4e0da0a58bbc61ad53f1843448

diff --git a/app-admin/graylog/graylog-3.3.13.ebuild 
b/app-admin/graylog/graylog-3.3.13.ebuild
new file mode 100644
index 00000000000..bf3420b1de9
--- /dev/null
+++ b/app-admin/graylog/graylog-3.3.13.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Free and open source log management"
+HOMEPAGE="https://www.graylog.org";
+SRC_URI="https://downloads.graylog.org/releases/graylog/${P}.tgz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+RESTRICT="strip"
+
+RDEPEND="!app-admin/graylog2
+       acct-group/graylog
+       acct-user/graylog
+       >=virtual/jdk-1.8:*"
+
+DOCS=(
+       COPYING README.markdown UPGRADING.rst
+)
+
+GRAYLOG_DATA_DIR="/var/lib/graylog"
+GRAYLOG_INSTALL_DIR="/usr/share/graylog"
+QA_PREBUILT="${GRAYLOG_INSTALL_DIR}/lib/sigar/libsigar*"
+
+src_prepare() {
+       default
+
+       # Stick to architecture of build host
+       if ! use amd64; then
+               rm -r lib/sigar/libsigar-amd64-*.so || die "Failed in removing 
AMD64 support libraries"
+       fi
+       if ! use ppc64; then
+               rm -r lib/sigar/libsigar-ppc64-*.so || die "Failed in removing 
PPC64 support libraries"
+       fi
+       if ! use x86; then
+               rm -r lib/sigar/libsigar-x86-*.so || die "Failed in removing 
X86 support libraries"
+       fi
+       # Currently unsupported platforms
+       # QA warning galore but testing/patches welcome
+       rm lib/sigar/libsigar-*freebsd*so \
+               lib/sigar/libsigar-*solaris*so \
+               lib/sigar/libsigar-*hpux*.sl \
+               lib/sigar/libsigar-*macosx*.dylib \
+               lib/sigar/libsigar-ia64-*.so \
+               lib/sigar/libsigar-ppc-*.so \
+               lib/sigar/libsigar-s390x*.so \
+               lib/sigar/*winnt* || die "Failed in removing unsupported 
platform libraries"
+
+       # gentoo specific paths
+       sed -i "s@\(node_id_file = \).*@\1${GRAYLOG_DATA_DIR}/node-id@g; \
+               s@\(message_journal_dir = 
\).*@\1${GRAYLOG_DATA_DIR}/data/journal@g;" \
+               graylog.conf.example || die
+}
+
+src_install() {
+       default
+
+       insinto /etc/graylog
+       doins graylog.conf.example
+
+       insinto "${GRAYLOG_INSTALL_DIR}"
+       doins graylog.jar
+       doins -r lib plugin
+
+       keepdir "${GRAYLOG_DATA_DIR}"
+
+       newconfd "${FILESDIR}/graylog.confd" graylog
+       newinitd "${FILESDIR}/graylog.initd" graylog
+}
+
+pkg_postinst() {
+       ewarn "Graylog does not depend on need.net any more (#439092)."
+       ewarn
+       ewarn "Please configure rc_need according to your binding address in:"
+       ewarn "/etc/conf.d/graylog"
+       ewarn
+       ewarn "Graylog requires Java >= 8"
+       ewarn "Elasticsearch 5.x or 6.x (does NOT work with 7.x)"
+       ewarn "and MongoDB 3.6, 4.0 or 4.2"
+}

Reply via email to